# Update Ticket Assignee

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
PATCH /tickets/{ticketId}/Assignee
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>ticketId</td><td>integer</td><td>yes</td><td>Id of ticket you want to update.</td></tr></tbody></table>

#### Request Body

The request body must contain the model with the Id of the teammate (as `assigneeId`) and the current user assigned to the ticket (as `previousAssigneeId`). Send `assigneeId` as null if you want to set the ticket as unassigned.

You can obtain the list of teammates by requesting the corresponding [teammates endpoint](/docs/apis/tickets/reference/endpoints/get-all-teammates.md).

You can retrieve the current assigned user value from the response from [get ticket by id endpoint](/docs/apis/tickets/reference/endpoints/get-ticket-by-id.md) (property `lockedBy` in the response object).

```json
{
    "assigneeId": "31aee6af-3e38-40d9-98b1-aa2b9238f24d",
    "previousAssigneeId": "null"
}
```

You cannot assign a user, which is not a part of the team (such as a client, vendor, or read-only user).

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>assigneeId</td><td>Guid</td><td>yes</td><td>Unique Id of a teammate who is assigned to the ticket. Set to <code>null</code> if the ticket should be unassigned</td></tr><tr><td>previousAssigneeId</td><td>Guid</td><td>yes</td><td>Unique Id of the current teammate who is assigned to the ticket. If the ticket is unassigned, the value should be set to <code>null</code></td></tr></tbody></table>

**Response**

```json
{
  "data": {},
  "errorCode": -1,
  "errorText": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/update-ticket-assignee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
